Bug 859746 - [abrt] xorg-x11-server-Xorg-1.12.3-2.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-2.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:03139c5269beafbf65bffbf0047...
:
: 861717 861873 862833 863209 868402 868490 870669 870671 870672 870674 870675 870676 870677 871545 874637 874639 880016 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 14:11 EDT by antek.orszulak
Modified: 2013-08-01 16:16 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:16:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-09-23 14:11 EDT, antek.orszulak
no flags Details
File: Xorg.0.log (55.58 KB, text/plain)
2012-09-23 14:11 EDT, antek.orszulak
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (374 bytes, text/plain)
2012-09-23 14:11 EDT, antek.orszulak
no flags Details

  None (edit)
Description antek.orszulak 2012-09-23 14:11:31 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.4-1.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652d6]
:1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x5514db]
:2: /usr/bin/Xorg (0x400000+0x47f32) [0x447f32]
:3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f8aadce3000+0x60e4) [0x7f8aadce90e4]
:4: /usr/bin/Xorg (0x400000+0x807b7) [0x4807b7]
:5: /usr/bin/Xorg (0x400000+0xa4ab0) [0x4a4ab0]
:6: /lib64/libpthread.so.0 (0x7f8ab2f39000+0xefe0) [0x7f8ab2f47fe0]
:7: /usr/bin/Xorg (0x400000+0x6aba0) [0x46aba0]
:8: /lib64/libpthread.so.0 (0x7f8ab2f39000+0xefe0) [0x7f8ab2f47fe0]
:9: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f8ab1591000+0x692c) [0x7f8ab159792c]
:10: /usr/lib64/xorg/modules/libexa.so (0x7f8ab093f000+0x5a7b) [0x7f8ab0944a7b]
:11: /usr/lib64/xorg/modules/libexa.so (0x7f8ab093f000+0x806a) [0x7f8ab094706a]
:12: /usr/lib64/xorg/modules/libexa.so (0x7f8ab093f000+0x5021) [0x7f8ab0944021]
:13: /usr/bin/Xorg (0x400000+0xc9c1f) [0x4c9c1f]
:14: /usr/bin/Xorg (ChangeWindowAttributes+0x279) [0x460159]
:15: /usr/bin/Xorg (0x400000+0x2e98d) [0x42e98d]
:16: /usr/bin/Xorg (0x400000+0x3447a) [0x43447a]
:17: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:18: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7f8ab26a0735]
:19: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 antek.orszulak 2012-09-23 14:11:34 EDT
Created attachment 616181 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 antek.orszulak 2012-09-23 14:11:36 EDT
Created attachment 616182 [details]
File: Xorg.0.log
Comment 3 antek.orszulak 2012-09-23 14:11:38 EDT
Created attachment 616183 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 Adam Jackson 2012-11-28 14:50:51 EST
*** Bug 861717 has been marked as a duplicate of this bug. ***
Comment 5 Adam Jackson 2012-11-28 14:50:55 EST
*** Bug 861873 has been marked as a duplicate of this bug. ***
Comment 6 Adam Jackson 2012-11-28 14:50:58 EST
*** Bug 862833 has been marked as a duplicate of this bug. ***
Comment 7 Adam Jackson 2012-11-28 14:51:00 EST
*** Bug 863209 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2012-11-28 14:51:02 EST
*** Bug 868402 has been marked as a duplicate of this bug. ***
Comment 9 Adam Jackson 2012-11-28 14:51:05 EST
*** Bug 868490 has been marked as a duplicate of this bug. ***
Comment 10 Adam Jackson 2012-11-28 14:51:09 EST
*** Bug 870669 has been marked as a duplicate of this bug. ***
Comment 11 Adam Jackson 2012-11-28 14:51:12 EST
*** Bug 870671 has been marked as a duplicate of this bug. ***
Comment 12 Adam Jackson 2012-11-28 14:51:15 EST
*** Bug 870672 has been marked as a duplicate of this bug. ***
Comment 13 Adam Jackson 2012-11-28 14:51:18 EST
*** Bug 870674 has been marked as a duplicate of this bug. ***
Comment 14 Adam Jackson 2012-11-28 14:51:21 EST
*** Bug 870675 has been marked as a duplicate of this bug. ***
Comment 15 Adam Jackson 2012-11-28 14:51:24 EST
*** Bug 870676 has been marked as a duplicate of this bug. ***
Comment 16 Adam Jackson 2012-11-28 14:51:26 EST
*** Bug 870677 has been marked as a duplicate of this bug. ***
Comment 17 Adam Jackson 2012-11-28 14:51:30 EST
*** Bug 871545 has been marked as a duplicate of this bug. ***
Comment 18 Adam Jackson 2012-11-28 14:51:34 EST
*** Bug 874637 has been marked as a duplicate of this bug. ***
Comment 19 Adam Jackson 2012-11-28 14:51:37 EST
*** Bug 874639 has been marked as a duplicate of this bug. ***
Comment 20 Adam Jackson 2012-11-28 14:51:40 EST
*** Bug 880016 has been marked as a duplicate of this bug. ***
Comment 21 burkinafaso76 2013-01-21 04:52:44 EST
This crash happens after a reboot.
My system was updated from F16 via preupgrade.


Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 Fedora Update System 2013-01-23 17:14:40 EST
xorg-x11-server-1.12.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-3.fc17
Comment 23 Fedora Update System 2013-01-24 17:26:13 EST
Package xorg-x11-server-1.12.4-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.12.4-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1410/xorg-x11-server-1.12.4-3.fc17
then log in and leave karma (feedback).
Comment 24 Heiko Meyer 2013-01-26 02:45:37 EST
1. Upgrade to kernel-3.7.3-101.fc17.x86_64
2. Reboot
3. Wait until reboot finishes
4. GDM unresponsive, sometime does not show confugrued users, but background, most probably due to X Server crash


Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 25 Fedora Update System 2013-01-29 03:03:49 EST
xorg-x11-server-1.12.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-4.fc17
Comment 26 Heiko Meyer 2013-02-09 03:03:06 EST
(In reply to comment #25)
> xorg-x11-server-1.12.4-4.fc17 has been submitted as an update for Fedora 17.
> https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-4.fc17

Tried it, no improvement.
Comment 27 Fedora Update System 2013-02-14 16:35:26 EST
xorg-x11-server-1.12.4-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-6.fc17
Comment 28 Mike Strand 2013-03-06 16:45:21 EST
how did this problem happen? no idea...really, I installed KDE on fedora 18(64) and this happened. I am typing this though in fedora 18...a little farther along in the update cycles...with KDE.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 29 Fedora Update System 2013-04-17 01:22:26 EDT
xorg-x11-server-1.12.4-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-7.fc17
Comment 30 Fedora Update System 2013-06-07 19:45:14 EDT
xorg-x11-server-1.12.4-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora End Of Life 2013-07-04 03:50:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 32 Fedora End Of Life 2013-08-01 16:16:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.